"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.migrateActivationsCount = exports.getActivationSummaryByPreinstalledOrigin = exports.getActivationSummary = void 0;
const ambassadorWixAutomationsActivationLogsV1ActivationSummary = __importStar(require("./automations-activation-logs-v1-activation-summary-activation-action-summary.http.js"));
function getActivationSummary() {
    const payload = { automationId: ':automationId' };
    const getRequestOptions = ambassadorWixAutomationsActivationLogsV1ActivationSummary.getActivationSummary(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v2/activation-summaries/{automationId}',
        pathParams: { automationId: 'automationId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getActivationSummary = getActivationSummary;
function getActivationSummaryByPreinstalledOrigin() {
    const payload = { appId: ':appId', componentId: ':componentId' };
    const getRequestOptions = ambassadorWixAutomationsActivationLogsV1ActivationSummary.getActivationSummaryByPreinstalledOrigin(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v2/activation-summaries/preinstalled/{appId}/{componentId}',
        pathParams: { appId: 'appId', componentId: 'componentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getActivationSummaryByPreinstalledOrigin = getActivationSummaryByPreinstalledOrigin;
function migrateActivationsCount() {
    const payload = {};
    const getRequestOptions = ambassadorWixAutomationsActivationLogsV1ActivationSummary.migrateActivationsCount(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/migration-rules/migrate',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.migrateActivationsCount = migrateActivationsCount;
//# sourceMappingURL=automations-activation-logs-v1-activation-summary-activation-action-summary.meta.js.map