import { getActivationSummary as publicGetActivationSummary, getActivationSummaryByPreinstalledOrigin as publicGetActivationSummaryByPreinstalledOrigin, migrateActivationsCount as publicMigrateActivationsCount } from './automations-activation-logs-v1-activation-summary-activation-action-summary.public.js';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
export declare const getActivationSummary: MaybeContext<BuildRESTFunction<typeof publicGetActivationSummary> & typeof publicGetActivationSummary>;
export declare const getActivationSummaryByPreinstalledOrigin: MaybeContext<BuildRESTFunction<typeof publicGetActivationSummaryByPreinstalledOrigin> & typeof publicGetActivationSummaryByPreinstalledOrigin>;
export declare const migrateActivationsCount: MaybeContext<BuildRESTFunction<typeof publicMigrateActivationsCount> & typeof publicMigrateActivationsCount>;
export { ActivationSummary, PreinstalledOrigin, GetActivationSummaryRequest, GetActivationSummaryResponse, GetActivationSummaryByPreinstalledOriginRequest, GetActivationSummaryByPreinstalledOriginResponse, MigrateActivationsCountRequest, MigrateActivationsCountResponse, ActivationSummaryNonNullableFields, GetActivationSummaryResponseNonNullableFields, GetActivationSummaryByPreinstalledOriginResponseNonNullableFields, GetActivationSummaryByPreinstalledOriginIdentifiers, MigrateActivationsCountOptions, } from './automations-activation-logs-v1-activation-summary-activation-action-summary.universal.js';
