import { getActivationSummary as universalGetActivationSummary, getActivationSummaryByPreinstalledOrigin as universalGetActivationSummaryByPreinstalledOrigin, migrateActivationsCount as universalMigrateActivationsCount, } from './automations-activation-logs-v1-activation-summary-activation-action-summary.universal.js';
export const __metadata = {
    PACKAGE_NAME: '@wix/automations-activation-summary',
};
export function getActivationSummary(httpClient) {
    return (automationId) => universalGetActivationSummary(automationId, 
    // @ts-ignore
    { httpClient });
}
export function getActivationSummaryByPreinstalledOrigin(httpClient) {
    return (identifiers) => universalGetActivationSummaryByPreinstalledOrigin(identifiers, 
    // @ts-ignore
    { httpClient });
}
export function migrateActivationsCount(httpClient) {
    return (metaSiteId, options) => universalMigrateActivationsCount(metaSiteId, options, 
    // @ts-ignore
    { httpClient });
}
//# sourceMappingURL=automations-activation-logs-v1-activation-summary-activation-action-summary.public.js.map