import * as ambassadorWixAutomationsActivationLogsV1ActivationSummary from './automations-activation-logs-v1-activation-summary-activation-action-summary.http.js';
export function getActivationSummary() {
    const payload = { automationId: ':automationId' };
    const getRequestOptions = ambassadorWixAutomationsActivationLogsV1ActivationSummary.getActivationSummary(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v2/activation-summaries/{automationId}',
        pathParams: { automationId: 'automationId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function getActivationSummaryByPreinstalledOrigin() {
    const payload = { appId: ':appId', componentId: ':componentId' };
    const getRequestOptions = ambassadorWixAutomationsActivationLogsV1ActivationSummary.getActivationSummaryByPreinstalledOrigin(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v2/activation-summaries/preinstalled/{appId}/{componentId}',
        pathParams: { appId: 'appId', componentId: 'componentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function migrateActivationsCount() {
    const payload = {};
    const getRequestOptions = ambassadorWixAutomationsActivationLogsV1ActivationSummary.migrateActivationsCount(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/migration-rules/migrate',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
//# sourceMappingURL=automations-activation-logs-v1-activation-summary-activation-action-summary.meta.js.map